accumulo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Terry P." <texpi...@gmail.com>
Subject Upgrading from 1.4.2 to 1.4.5
Date Fri, 01 Aug 2014 19:11:43 GMT
Greetings all,
Accumulo 1.4.2 has been serving us decently well now that the ISP our
virtual machines reside on has finally stabilized for the most part.  I say
"decently well" because one of the biggest issues we saw was when Zookeeper
connectivity was lost -- things went south pretty quickly whenever that
happened, and I now believe we have been hitting some of the Zookeeper
related bugs that exist in 1.4.2.

We're now tasked with doing whatever we can to insulate against stability
issues on the part of our ISP, and I see that going from 1.4.2 to 1.4.5
will fix 2 Critical and 3 Major bugs related to Zookeeper connectivity.

I've downloaded 1.4.5 and have gone through the tarfile. I've read both the
CHANGES and README files, but neither mention "upgrading", nor does the
User Manual PDF dated March 31, 2014.

I *assume* that what I need to do is:

1. shutdown all of Accumulo
2. move the accumulo directory to accumulo-1.4.2 or similar
3. lay down the new 1.4.5 accumulo directory
4. apply edits for Hadoop location, Java, memory sizing, etc. to
accumulo-env.sh and accumulo-site.xml specific to your installation
5. start Accumulo.

I'd like to be sure there is nothing else I need to do before I embark on
updating our first environment.

I see accumulo-env.sh has some changes, but they look like quick and easy
edits to define the paths for Hadoop and Java etc., so no worries there.
I'll check accumulo-site.xml more later, but want to get this in front of
the experts first to see what else I need to consider for an upgrade.

Many thanks in advance to all for your insights,
Terry

Mime
View raw message